!include "MUI.nsh"
Unicode True
 
RequestExecutionLevel admin
 
!define GTKVER 3.22
Name "Gtk-${GTKVER}"
 
!define MUI_ICON icon.ico
 
 
;Banner laterale
;!define MUI_WELCOMEFINISHPAGE_BITMAP "banner.bmp" ;immagine per la pagina di benvenuto
;!define MUI_HEADERIMAGE							  ;Usa immagine d'intestazione
;!define MUI_HEADERIMAGE_BITMAP "../icons/play.png"		  ;immagine d'intestazione per le varie schermate	
 
; Il nome del file dell'installatore
OutFile "GTK-${GTKVER}-win32-installer.exe"
 
;Le varie "pagine" da visualizzare (Benvenuto, licenza, scelta cartella,conclusione etc...)
!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_PAGE_LICENSE "license.txt"
!insertmacro MUI_PAGE_DIRECTORY
;!insertmacro MUI_PAGE_COMPONENTS
!insertmacro MUI_PAGE_INSTFILES
!insertmacro MUI_PAGE_FINISH
 
;Lingue nelle quali deve essere disponibile l'installer
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "German"
!insertmacro MUI_LANGUAGE "French"
!insertmacro MUI_LANGUAGE "Italian"
 
 
 
; La directory di installazione predefinita
InstallDir $PROGRAMFILES\GTK3
DirText "This will install GTK3 on your computer. Choose a directory"
 
;--------------------------------
 
; La sezione dedicata all'installazione
Section "Install" 
 
	; Setto la directory dove mettere i file da questo momento in poi
	; (se la directory non esiste, la creera') e copio i file.
	SetOutPath $INSTDIR
	File /r ..\gtk-3_bundle\*
 
	; Informiamo il compilatore che sara' presente una sezione per il disinstallatore  
	WriteUninstaller $INSTDIR\Uninstall.exe
 
	; Append GTK to user path
	EnVar::AddValue "path" $INSTDIR
SectionEnd 
 
 
 
;Entry per Add/Remove
!define REGUNINSTKEY "GTK3" ;Using a GUID here is not a bad idea
!define REGHKEY HKLM ;Assuming RequestExecutionLevel admin AKA all user/machine install
!define REGPATH_WINUNINST "Software\Microsoft\Windows\CurrentVersion\Uninstall"
 
Section
	WriteRegStr ${REGHKEY} "${REGPATH_WINUNINST}\${REGUNINSTKEY}" "DisplayName" "GTK3"
	WriteRegStr ${REGHKEY} "${REGPATH_WINUNINST}\${REGUNINSTKEY}" "UninstallString" '"$INSTDIR\Uninstall.exe"'
 
	WriteRegStr ${REGHKEY} "${REGPATH_WINUNINST}\${REGUNINSTKEY}" "DisplayIcon" '"$INSTDIR\icon.ico"'
	WriteRegStr ${REGHKEY} "${REGPATH_WINUNINST}\${REGUNINSTKEY}" "Publisher" "Fabio Di Matteo (installer)"
SectionEnd 
 
 
; La sezione dedicata alla disinstallazione
Section "un.Uninstall"
 
	;Rimuoviamo i file del programma
	EnVar::DeleteValue "path" $INSTDIR
	Delete $INSTDIR\*.*
	RMDir /r $INSTDIR
	
 
	; Rimuoviamo tutti i link dallo start menu
	;Delete "$SMPROGRAMS\Pobtube\Pobtube.lnk" 
	;Delete "$SMPROGRAMS\Pobtube\uninstall.lnk" 
	RMDIR  "$SMPROGRAMS\GTK3"
    DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GTK3"
 
SectionEnd
